Skip to main content
GET
/
v1
/
analyses
/
{analysisId}
/
status
Read Analysis Status
curl --request GET \
  --url https://localtest.mindbridge.ai/api/v1/analyses/{analysisId}/status \
  --header 'Authorization: Bearer <token>'
{
  "analysisId": {},
  "analysisTypeId": {},
  "preflightErrors": [
    "IN_PROGRESS"
  ],
  "sourceStatuses": [
    {
      "sourceId": {},
      "analysisSourceTypeId": {},
      "status": "IMPORTING",
      "periodId": {}
    }
  ],
  "availableFeatures": {},
  "status": "NOT_STARTED",
  "ready": true,
  "mappedAccountMappingCount": 123,
  "unmappedAccountMappingCount": 123,
  "inferredAccountMappingCount": 123,
  "reRunReady": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

analysisId
string
required

Response

OK

analysisId
object

Identifies the associated analysis.

analysisTypeId
object

Identifies the type of analysis.

preflightErrors
enum<string>[]

The errors that occurred before the analysis was run.

Available options:
IN_PROGRESS,
NOT_READY,
ARCHIVED,
REQUIRED_FILES_MISSING,
SOURCES_NOT_READY,
SOURCE_ERROR,
UNVERIFIED_ACCOUNT_MAPPINGS,
ANALYSIS_PERIOD_OVERLAP,
SOURCE_WARNINGS_PRESENT
sourceStatuses
object[]

Details about the state of each analysis source.

availableFeatures
object

Details about the various analysis capabilities available in MindBridge. Learn more

status
enum<string>

The current state of the analysis.

Available options:
NOT_STARTED,
IMPORTING_FILE,
PREPARING_DATA,
PROCESSING,
CONSOLIDATING_RESULTS,
COMPLETED,
FAILED
ready
boolean

Indicates whether or not the analysis is ready to be run.

mappedAccountMappingCount
integer<int64>

The number of mapped accounts.

unmappedAccountMappingCount
integer<int64>

The number of unmapped accounts.

inferredAccountMappingCount
integer<int64>

The number of inferred account mapping; this can be considered a warning on partial matches.

reRunReady
boolean

Indicates whether or not the analysis is ready to be run again.